# Gimp.ExportGetCapabilitiesFunc

    @accepts(Gimp.Procedure, Gimp.ProcedureConfig, Gimp.ExportOptions, gpointer)
    @returns(Gimp.ExportCapabilities)
    def on_ExportGetCapabilitiesFunc(procedure, config, options, get_capabilities_data):

This function returns the capabilities requested by your export procedure, depending on config or options.

Since 3.0

procedure

  the Gimp.Procedure that runs.

config

  the Gimp.ProcedureConfig.

options

  the @GimpExportOptions object to update.

get_capabilities_data

  the get_capabilities_data argument given to [method@Gimp.ExportProcedure.set_capabilities].

Returns

  a bitfield of the capabilities you want when preparing the image for exporting.